> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Create Customer



## OpenAPI

````yaml openapi/v1-en.yaml POST /api/v1/front/customer/create
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/front/customer/create:
    post:
      tags:
        - Customer
      summary: Create Customer
      description: Create Customer
      operationId: v1-customer-create-customer
      parameters:
        - $ref: '#/components/parameters/HeaderRequestID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomerResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    CreateCustomerRequest:
      type: object
      properties:
        email:
          type: string
          description: Customer email, mutually exclusive with `payer_id`
        phone:
          type: string
          description: Customer phone number
        name:
          type: string
          description: Customer name
        address:
          allOf:
            - $ref: '#/components/schemas/CustomerAddress'
          description: Customer address
        metadata:
          type: object
          description: >-
            A set of key-value pairs that can be attached to an object, allowing
            you to store additional information in a structured format.
        payer_id:
          type: string
          description: Third-party customer ID
        email_subscription:
          type: integer
          description: |-
            Whether to subscribe to marketing email notifications
             - 1: Do not subscribe
             - 2: Subscribe
          format: int32
    CreateCustomerResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/CreateCustomerResponse_Data'
    CustomerAddress:
      type: object
      properties:
        line1:
          type: string
          description: Line 1
        line2:
          type: string
          description: Line 2
        city:
          type: string
          description: City
        province:
          type: string
          description: Province/State Code
        postal_code:
          type: string
          description: Postal code
        country:
          type: string
          description: Country/Region Code
    CreateCustomerResponse_Data:
      type: object
      properties:
        customer_id:
          type: string
          description: Subotiz customer unique identifier
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````